{
  "openapi": "3.0.1",
  "info": {
    "title": "OpenAlex Research Intelligence",
    "description": "Extract publication, author, institution, source, citation, topic, DOI, and open-access signals from the official OpenAlex API.",
    "version": "0.1",
    "x-build-id": "y9uZQR2dhwxxvwx77"
  },
  "servers": [
    {
      "url": "https://api.apify.com/v2"
    }
  ],
  "paths": {
    "/acts/taroyamada~openalex-research-intelligence/run-sync-get-dataset-items": {
      "post": {
        "operationId": "run-sync-get-dataset-items-taroyamada-openalex-research-intelligence",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor, waits for its completion, and returns Actor's dataset items in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        }
      }
    },
    "/acts/taroyamada~openalex-research-intelligence/runs": {
      "post": {
        "operationId": "runs-sync-taroyamada-openalex-research-intelligence",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor and returns information about the initiated run in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/runsResponseSchema"
                }
              }
            }
          }
        }
      }
    },
    "/acts/taroyamada~openalex-research-intelligence/run-sync": {
      "post": {
        "operationId": "run-sync-taroyamada-openalex-research-intelligence",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor, waits for completion, and returns the OUTPUT from Key-value store in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "inputSchema": {
        "type": "object",
        "properties": {
          "searchTerms": {
            "title": "Search Terms",
            "type": "array",
            "description": "Research keywords to search in OpenAlex works.",
            "items": {
              "type": "string"
            }
          },
          "workIds": {
            "title": "OpenAlex Work IDs",
            "type": "array",
            "description": "OpenAlex work IDs or URLs such as W2741809807 or https://openalex.org/W2741809807.",
            "items": {
              "type": "string"
            }
          },
          "authorIds": {
            "title": "Author IDs",
            "type": "array",
            "description": "OpenAlex author IDs or URLs. Fetches works by author.",
            "items": {
              "type": "string"
            }
          },
          "institutionIds": {
            "title": "Institution IDs",
            "type": "array",
            "description": "OpenAlex institution IDs or URLs. Fetches works associated with the institution.",
            "items": {
              "type": "string"
            }
          },
          "conceptIds": {
            "title": "Concept IDs",
            "type": "array",
            "description": "OpenAlex concept IDs or URLs. Fetches works tagged to the concept.",
            "items": {
              "type": "string"
            }
          },
          "fromDate": {
            "title": "From Publication Date",
            "type": "string",
            "description": "Optional publication date floor, YYYY-MM-DD."
          },
          "toDate": {
            "title": "To Publication Date",
            "type": "string",
            "description": "Optional publication date ceiling, YYYY-MM-DD."
          },
          "sort": {
            "title": "Sort",
            "enum": [
              "cited_by_count:desc",
              "publication_date:desc",
              "publication_date:asc",
              "relevance_score:desc"
            ],
            "type": "string",
            "description": "Sort order for OpenAlex work results.",
            "default": "cited_by_count:desc"
          },
          "limitPerSource": {
            "title": "Limit Per Source",
            "minimum": 1,
            "maximum": 100,
            "type": "integer",
            "description": "Maximum number of works to fetch for each source input.",
            "default": 25
          },
          "maxWorks": {
            "title": "Max Works",
            "minimum": 1,
            "maximum": 500,
            "type": "integer",
            "description": "Global cap on unique works emitted by one run.",
            "default": 100
          },
          "includeAbstract": {
            "title": "Include Abstract",
            "type": "boolean",
            "description": "When enabled, reconstruct abstract text from OpenAlex inverted indexes when available.",
            "default": false
          },
          "mailto": {
            "title": "Polite Pool Email",
            "type": "string",
            "description": "Optional email sent as OpenAlex mailto query parameter."
          },
          "timeoutMs": {
            "title": "Request Timeout (ms)",
            "minimum": 1000,
            "maximum": 60000,
            "type": "integer",
            "description": "Per-request timeout in milliseconds.",
            "default": 20000
          },
          "delivery": {
            "title": "Delivery",
            "enum": [
              "dataset",
              "webhook"
            ],
            "type": "string",
            "description": "Send flattened rows to the dataset or POST the full payload to a webhook.",
            "default": "dataset"
          },
          "webhookUrl": {
            "title": "Webhook URL",
            "type": "string",
            "description": "Required when delivery is webhook."
          },
          "dryRun": {
            "title": "Dry Run",
            "type": "boolean",
            "description": "Run without saving dataset rows or sending a webhook.",
            "default": false
          }
        }
      },
      "runsResponseSchema": {
        "type": "object",
        "properties": {
          "data": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string"
              },
              "actId": {
                "type": "string"
              },
              "userId": {
                "type": "string"
              },
              "startedAt": {
                "type": "string",
                "format": "date-time",
                "example": "2025-01-08T00:00:00.000Z"
              },
              "finishedAt": {
                "type": "string",
                "format": "date-time",
                "example": "2025-01-08T00:00:00.000Z"
              },
              "status": {
                "type": "string",
                "example": "READY"
              },
              "meta": {
                "type": "object",
                "properties": {
                  "origin": {
                    "type": "string",
                    "example": "API"
                  },
                  "userAgent": {
                    "type": "string"
                  }
                }
              },
              "stats": {
                "type": "object",
                "properties": {
                  "inputBodyLen": {
                    "type": "integer",
                    "example": 2000
                  },
                  "rebootCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "restartCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "resurrectCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "computeUnits": {
                    "type": "integer",
                    "example": 0
                  }
                }
              },
              "options": {
                "type": "object",
                "properties": {
                  "build": {
                    "type": "string",
                    "example": "latest"
                  },
                  "timeoutSecs": {
                    "type": "integer",
                    "example": 300
                  },
                  "memoryMbytes": {
                    "type": "integer",
                    "example": 1024
                  },
                  "diskMbytes": {
                    "type": "integer",
                    "example": 2048
                  }
                }
              },
              "buildId": {
                "type": "string"
              },
              "defaultKeyValueStoreId": {
                "type": "string"
              },
              "defaultDatasetId": {
                "type": "string"
              },
              "defaultRequestQueueId": {
                "type": "string"
              },
              "buildNumber": {
                "type": "string",
                "example": "1.0.0"
              },
              "containerUrl": {
                "type": "string"
              },
              "usage": {
                "type": "object",
                "properties": {
                  "ACTOR_COMPUTE_UNITS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_WRITES": {
                    "type": "integer",
                    "example": 1
                  },
                  "KEY_VALUE_STORE_LISTS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_INTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_EXTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_RESIDENTIAL_TRANSFER_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_SERPS": {
                    "type": "integer",
                    "example": 0
                  }
                }
              },
              "usageTotalUsd": {
                "type": "number",
                "example": 0.00005
              },
              "usageUsd": {
                "type": "object",
                "properties": {
                  "ACTOR_COMPUTE_UNITS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_WRITES": {
                    "type": "number",
                    "example": 0.00005
                  },
                  "KEY_VALUE_STORE_LISTS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_INTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_EXTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_RESIDENTIAL_TRANSFER_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_SERPS": {
                    "type": "integer",
                    "example": 0
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}